Subject: Re: bug#73736: 31.0.50; project and therefore eglot don't work without git

From: Dmitry Gutov <[email-masked]>
Date: Sat, 12 Oct 2024 23:30:04 +0300

On 12/10/2024 17:32, Ship Mints wrote:
> If you're really serious about this, I'd like to suggest ".project.el" 
> or "project.el" over an unadorned ".project" to avoid clashing with 
> third-party software that uses .project files or directories for its own 
> purposes.

It's probably not going to be an Elisp file (with some code inside).

And it's been mentioned in this thread that some other software uses 
file with this name in the project root. If there is data indicating 
that such dirs should not be recognized as project root in many other 
cases, we should of course reconsider. But from what I've seen in 
threads on Reddit and relater articles, people like this particular file 
name for this purpose.